## org.apache.commons.math.analysis
Interface MultivariateVectorialFunction

All Known Subinterfaces:
  DifferentiableMultivariateVectorialFunction

All Known Implementing Classes:
  CurveFitter.TheoreticalValuesFunction

    public interface MultivariateVectorialFunction

An interface representing a multivariate vectorial function.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Method Summary
`double[]` `value(double[] point)` Compute the value for the function at the given point.

Method Detail

### value

    double[] value(double[] point)
                   throws FunctionEvaluationException,
                          java.lang.IllegalArgumentException

  Compute the value for the function at the given point.

  Parameters:
    `point` - point at which the function must be evaluated
  Returns:
    function value for the given point
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails
    `java.lang.IllegalArgumentException` - if points dimension is wrong

Copyright (c) 2003-2010 Apache Software Foundation